//       _________ __                 __
//      /   _____//  |_____________ _/  |______     ____  __ __  ______
//      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
//      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
//     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
//             \/                  \/          \//_____/            \/
//  ______________________                           ______________________
//                        T H E   W A R   B E G I N S
//         Stratagus - A free fantasy real time strategy game engine
//
/**@name results.h - The game results headerfile. */
//
//      (c) Copyright 2002-2006 by Lutz Sammer, Francois Beerten and Jimmy Salmon
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; only version 2 of the License.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//      02111-1307, USA.
//
//      $Id: results.h 7561 2006-09-23 21:23:56Z feber $

#ifndef __RESULTS_H__
#define __RESULTS_H__

//@{

/**
**  Possible outcomes of the game.
*/
typedef enum GameResults {
	GameNoResult,  /// Game has no result
	GameVictory,   /// Game was won
	GameDefeat,    /// Game was lost
	GameDraw,      /// Game was draw
	GameQuitToMenu,/// Quit to menu
	GameRestart,   /// Restart game
};                 /// Game results


extern GameResults GameResult;   /// Outcome of the game

//@}

#endif
